Bug 1544510 - AvogadroLibsConfig.cmake: set(AvogadroLibs_INCLUDE_DIRS "${AvogadroLibs_INSTALL_PREFIX}//usr/include/avogadro2")
Summary: AvogadroLibsConfig.cmake: set(AvogadroLibs_INCLUDE_DIRS "${AvogadroLibs_IN...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: avogadro2-libs
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kalzium_avogadro
TreeView+ depends on / blocked
 
Reported: 2018-02-12 17:19 UTC by Rex Dieter
Modified: 2018-02-24 22:21 UTC (History)
1 user (show)

Fixed In Version: avogadro2-libs-1.90.0-15.fc26 avogadro2-libs-1.90.0-15.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-24 21:39:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Rex Dieter 2018-02-12 17:19:27 UTC
Looks like AvogadroLibsConfig.cmake expects a relative path, but an absolute one is passed in %build:
 -DCMAKE_INSTALL_INCLUDEDIR:PATH=%{_includedir}/avogadro2

Comment 1 Antonio T. (sagitter) 2018-02-13 11:01:07 UTC
Fixed with release avogadro2-libs-1.90.0-14.fc28
Please, try it.

Comment 2 Rex Dieter 2018-02-13 13:50:39 UTC
FYI, you shouldn't need to explicitly set,
-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}

the %cmake macro should do that for you already

Comment 3 Rex Dieter 2018-02-13 14:19:27 UTC
Thanks, confirmed good (I think... now seeing failures elsewhere, but not avogadro related).

Comment 4 Rex Dieter 2018-02-13 14:34:06 UTC
I take that back, it was avogadro related, another separate issue:

from AvogadroLibsTargets-release.cmake :

# Import target "AvogadroRendering" for configuration "Release"
set_property(TARGET AvogadroRendering APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(AvogadroRendering PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "/usr/lib64/libGLEW.so;/usr/lib64/libGL.so;/usr/lib64/libGLU.so"
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib64/libAvogadroRendering.so"
  IMPORTED_SONAME_RELEASE "libAvogadroRendering.so"
  )

means it always tries to link GLEW GL GLU, except avogadro2-libs-devel has no dependency on GLEW, so linking fails:

make[2]: *** No rule to make target '/usr/lib64/libGLEW.so', needed by 'compoundviewer/libcompoundviewer.so.5.0.0'.  Stop.

Probably simpliest short-term fix, is to explicitly add some dependencies to avogadro2-libs-devel:

Requires: glew-devel%{?_isa}
Requires: libGL-devel%{?_isa}
Requires: libGLU-devel%{?_isa}


Long term, I think linkage of those extra libraries could probably be removed (may only be needed when linking statically).

Comment 5 Rex Dieter 2018-02-13 16:44:07 UTC
Another one,

# Import target "AvogadroCore" for configuration "Release"
set_property(TARGET AvogadroCore APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(AvogadroCore PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "/usr/lib64/libsymspg.so"
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib64/libAvogadroCore.so"
  IMPORTED_SONAME_RELEASE "libAvogadroCore.so"
  )

with an implicit dependency on /usr/lib64/libsymspg.so (provided by spglib-devel)

Comment 6 Antonio T. (sagitter) 2018-02-14 10:25:25 UTC
Added new explicit dependencies:

https://koji.fedoraproject.org/koji/taskinfo?taskID=25037448

Comment 7 Rex Dieter 2018-02-16 13:48:58 UTC
Looks good, thanks!

Mind issuing updates for f27  (and possibly f26)?

Comment 8 Fedora Update System 2018-02-16 14:26:46 UTC
avogadro2-libs-1.90.0-15.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bacb01da2c

Comment 9 Fedora Update System 2018-02-16 14:26:53 UTC
avogadro2-libs-1.90.0-15.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ba7203114

Comment 10 Fedora Update System 2018-02-16 15:59:00 UTC
avogadro2-libs-1.90.0-15.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ba7203114

Comment 11 Fedora Update System 2018-02-16 16:28:51 UTC
avogadro2-libs-1.90.0-15.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bacb01da2c

Comment 12 Fedora End Of Life 2018-02-20 15:35:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 13 Fedora Update System 2018-02-24 21:39:26 UTC
avogadro2-libs-1.90.0-15.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-02-24 22:21:41 UTC
avogadro2-libs-1.90.0-15.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.